<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Vue</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet"/>
</head>
<body>
<main id="main" class="container-sm" style="background: aqua">
</main>
<script src="https://cdnjs.cloudflare.com/ajax/libs/i18next/8.1.0/i18next.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/i18next-http-backend@1.3.1/i18nextHttpBackend.min.js"></script>
<script src="service_item.js"></script>
<script>
    let services_items = []
    services_items.push(new ServiceItem("instruments").addTitle().addSummary().addList({size:3}));
    services_items.push(new ServiceItem("testbench").addTitle().addSummary().addImages([{src:"/assets/img/testbench.jpg"},{src:"/assets/img/consultation.png"}]));
    for (const item of services_items) document.getElementById('main').appendChild(item.getItem());
    i18next.use(window.i18nextHttpBackend).init({debug: true, fallbackLng: 'en'}, (err, t) => {
        if (err) return console.log(err);
        t('key');
        for (const item of services_items) item.translate(i18next);
    })
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>